L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Noyau Linux : lecture mémoire via recv

Synthèse de la vulnérabilité 

Un attaquant local peut appeler les fonctions de la famille recv du noyau Linux, afin d'obtenir des fragments de la mémoire du noyau.
Systèmes vulnérables : Debian, BIG-IP Hardware, TMOS, Fedora, Linux, openSUSE, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette menace : 1/4.
Nombre de vulnérabilités dans ce bulletin : 5.
Date de création : 29/11/2013.
Références de cette faille : BID-63999, BID-64034, BID-64677, BID-64685, BID-64686, CERTA-2014-AVI-010, CERTFR-2014-AVI-107, CERTFR-2015-AVI-165, CVE-2013-6405-REJECT, CVE-2013-7263, CVE-2013-7264, CVE-2013-7265, CVE-2013-7281, DSA-2906-1, FEDORA-2013-22669, FEDORA-2013-22695, FEDORA-2013-23445, FEDORA-2013-23653, MDVSA-2014:001, openSUSE-SU-2014:0678-1, openSUSE-SU-2014:0766-1, openSUSE-SU-2015:0566-1, RHSA-2014:0159-01, RHSA-2014:0285-01, RHSA-2014:0439-01, SOL15983, SOL15984, SUSE-SU-2014:0459-1, SUSE-SU-2014:0531-1, SUSE-SU-2014:0537-1, SUSE-SU-2014:0696-1, SUSE-SU-2014:0807-1, SUSE-SU-2014:1693-1, SUSE-SU-2014:1693-2, SUSE-SU-2014:1695-1, SUSE-SU-2014:1695-2, SUSE-SU-2014:1698-1, SUSE-SU-2015:0068-1, SUSE-SU-2015:0481-1, SUSE-SU-2015:0581-1, SUSE-SU-2015:0652-1, SUSE-SU-2015:0736-1, SUSE-SU-2015:0812-1, USN-2135-1, USN-2136-1, USN-2138-1, USN-2139-1, USN-2141-1, VIGILANCE-VUL-13844.

Description de la vulnérabilité 

Les fonctions recvmsg(), recvfrom() et recvmmsg() permettent de recevoir des données à partir d'une socket réseau.

Cependant, ces fonctions ne calculent pas correctement la taille des structures de données sockaddr_in et sockaddr_in6. Certains octets ne sont alors pas initialisés avant d'être retournés à l'utilisateur.

Un attaquant local peut donc appeler les fonctions de la famille recv du noyau Linux, afin d'obtenir des fragments de la mémoire du noyau.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Ce bulletin de faille concerne les logiciels ou systèmes comme Debian, BIG-IP Hardware, TMOS, Fedora, Linux, openSUSE, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cet avis cybersécurité est faible.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Ce bulletin concerne 5 vulnérabilités.

Un attaquant avec un niveau de compétence expert peut exploiter cette annonce de faille.

Solutions pour cette menace 

Noyau Linux : patch pour recv.
Un patch est disponible dans les sources d'information.

Debian 6 : nouveaux paquetages linux-2.6.
De nouveaux paquetages sont disponibles :
  Debian 6 : linux-2.6 2.6.32-48squeeze5

F5 BIG-IP : versions corrigées pour kernel CVE-2013-7263.
Les versions corrigées sont indiquées dans les sources d'information.

F5 BIG-IP : versions corrigées pour kernel CVE-2013-7265.
Les versions corrigées sont indiquées dans les sources d'information.

Fedora 18 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-3.11.10-100.fc18

Fedora 19 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-3.11.10-200.fc19

Fedora : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-3.12.5-200.fc19
  kernel-3.12.5-302.fc20

Mandriva : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-3.4.76-1.1.mbs1

openSUSE 11.4 : nouveaux paquetages kernel (06/06/2014).
De nouveaux paquetages sont disponibles :
  openSUSE 11.4 : kernel 3.0.101-83.1

openSUSE 11.4 : nouveaux paquetages kernel (23/03/2015).
De nouveaux paquetages sont disponibles :
  openSUSE 11.4 : kernel debug-3.0.101-99.1

openSUSE 13.1 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  openSUSE 13.1 : kernel 3.11.10-11.1

RHEL 5 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  RHEL 5 : kernel 2.6.18-371.6.1.el5

RHEL 6 MRG : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  RHEL 6 : kernel-rt 3.10.33-rt32.33.el6rt

RHEL 6 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-2.6.32-431.5.1.el6

SUSE LE 10 : nouveaux paquetages kernel (04/05/2015).
De nouveaux paquetages sont disponibles :
  SUSE LE 10 : kernel 2.6.16.60-0.132.1

SUSE LE 11 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel 3.0.101-0.46.1

SUSE LE 11 : nouveaux paquetages kernel-rt (21/04/2015).
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel-rt 3.0.101.rt130-0.33.36.1

SUSE LE 11 Real Time : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel rt-3.0.101.rt130-0.32.1

SUSE LE 11 SP1 : nouveaux paquetages kernel (02/04/2015).
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel pae-2.6.32.59-0.19.1

SUSE LE 11 SP1 : nouveaux paquetages kernel (18/06/2014).
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel 2.6.32.59-0.13.1

SUSE LE 11 SP2 : nouveaux paquetages kernel (12/03/2015).
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel default-3.0.101-0.7.29.1

SUSE LE 11 SP2 : nouveaux paquetages kernel (22/05/2014).
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel default-3.0.101-0.7.19.1

SUSE LE 11 SP3 : nouveaux paquetages kernel (24/03/2015).
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel 3.0.101-0.47.50.1

SUSE LE 11 SP3 : nouveaux paquetages kernel (28/03/2014).
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel 3.0.101-0.21.1

SUSE LE 12 : nouveaux paquetages kernel (16/01/2015).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 : kernel 3.12.32-33.1

SUSE Linux Enterprise Real Time Extension 11 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 : kernel-rt 3.0.101.rt130-0.14.1

Ubuntu 12.04 : nouveaux paquetages kernel Quantal HWE.
De nouveaux paquetages sont disponibles :
  Ubuntu 12.04 LTS : linux-image-3.5.0-47-generic 3.5.0-47.71~precise1

Ubuntu 12.04 : nouveaux paquetages kernel Raring HWE.
De nouveaux paquetages sont disponibles :
  Ubuntu 12.04 LTS : linux-image-3.8.0-37-generic 3.8.0-37.53~precise1

Ubuntu 12.10 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  Ubuntu 12.10 : linux-image-3.5.0-47-generic 3.5.0-47.71

Ubuntu 12.10 : nouveaux paquetages kernel OMAP4.
De nouveaux paquetages sont disponibles :
  Ubuntu 12.10 : linux-image-3.5.0-239-omap4 3.5.0-239.55

Ubuntu 13.10 : nouveaux paquetages kernel OMAP4.
De nouveaux paquetages sont disponibles :
  Ubuntu 13.10 : linux-image-3.5.0-239-omap4 3.5.0-239.55
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit des alertes de vulnérabilité de logiciel. Chaque administrateur peut personnaliser la liste des produits pour lesquels il souhaite recevoir des alertes de vulnérabilités.